<?
include 'mysql.php';
include 'inclydings/sesi.php';
include_once("inclydings/golova.php");

echo"<b>Lineage2<br/>Информация пользователя $nick</b><br/>";
$nick = htmlspecialchars(stripslashes($nick));

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"inclydings/down.php"; exit; }

$text = @file("L2dbnam/esql2db/reg/$nick.dat");
$udata = explode(":||:",$text[0]);
$block=mysql_query("SELECT * FROM `table_block` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($block)==1){
$user = mysql_fetch_array($block);
$pr = $user['pricina'];
echo"<br/>- - -<br/>Персонаж заблокирован причина: ".$pr."<br/>- - -<br/>";}
if(@file("L2dbnam/esql2db/clan/status/$nick.dat")){

$text = @file("L2dbnam/esql2db/clan/status/$nick.dat");
$datta = explode(":||:",$text[0]);
echo"[ <u>$datta[1]</u> ]<br/>";}
if($udata[23]!==""){
$file = @file("L2dbnam/esql2db/clan/$udata[23].dat");
$data = explode(":||:",$file[0]);
if(!empty($data[2])){
echo"Ник: <b>$nick</b> <img src=\"pik4erspic/clan/$data[2]\" alt=\"clan\"/><br/>";}else{
echo"Ник: <b>$nick</b><br/>";
}
}else{
echo"Ник: <b>$nick</b><br/>";}

if (is_file('pic/'.$nick.'.gif'))
{
echo'<img src="pik4erspic/'.$nick.'.gif" alt="pic"/><br/><br/>';
} else {

if($udata[2]=="Ж" && $udata[26]=="kamael"){echo'<img src="pik4erspic/personals/kamaelwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="kamael"){echo'<img src="pik4erspic/personals/kamaelmen.gif" alt="pic"/><br/>';
}
if($udata[2]=="Ж" && $udata[26]=="human"){echo'<img src="pik4erspic/personals/humanwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="human"){echo'<img src="pik4erspic/personals/humanmen.gif" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="elf"){echo'<img src="pik4erspic/personals/elfwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="elf"){echo'<img src="pik4erspic/personals/elfmen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="darkelf"){echo'<img src="pik4erspic/personals/darkelfwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="darkelf"){echo'<img src="pik4erspic/personals/darkelfmen.gif" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="gnom"){echo'<img src="pik4erspic/personals/gnomwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="gnom"){echo'<img src="pik4erspic/personals/gnommen.gif" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="ork"){echo'<img src="pik4erspic/personals/orkwoman.gif" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="ork"){echo'<img src="pik4erspic/personals/ork.gif" alt="pic"/><br/>';
}
}
$genat = @file("local/datacharch/wedding/$nick.dat");
$kto = explode("||", $genat[0]);
if ($nick==$kto[0]){$kto=$kto[1];}
if ($nick==$kto[1]){$kto=$kto[0];}
echo"Статус: <b>Обычный игрок</b> <br/>";
if ($genat!==false){echo"В браке с [<a href=\"search.php?$sd&go=go&nick=$kto\">$kto</a>]<br/>";}
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Должность: <b><u><font color=lime>Администратор</u></b></font><br/>";}
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Должность: <b><u><font color=blue>Модератор</u></b></font><br/>";}
$elita=mysql_query("SELECT * FROM `table_konsultant` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Должность: <b><u><font color=#FFFAFA>Консультант</u></b></font><br/>";}
$elita=mysql_query("SELECT * FROM `table_vip` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Премиум: <b><font color=yellow>VIP</b></font><br/>";}
if(@file("L2dbnam/esql2db/mystatus/$nick.dat")){

$text = @file("L2dbnam/esql2db/mystatus/$nick.dat");
$datta = explode(":||:",$text[0]);
echo"Личный статус: <b>$datta[1]</b><br/>";}else{echo"Подстатус: <b>Нет</b><br/>";}
if(@file("L2dbnam/esql2db/rating/olimpiads/$nick.dat")){echo"<b><font color=\"#FF0000\"><img src=\"pic/mini/w.png\"> <u>Герой</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/rating/olimpiads2/$nick.dat")){echo"<b><font color=\"#FF0000\"><img src=\"pic/mini/w.png\"> <u>Охотник</font></u></b><br/>";}
if(@file("L2dbnam/esql2db/rating/eventfish/$nick.dat")){echo"<b><font color=\"#FF0000\"><img src=\"pic/mini/w.png\"> <u>Рыболов</font></u></b><br/>";}
include_once"inclydings/status.php";
echo"Пол: ";
if($udata[2]=="M"){echo"Парень<br/>";}else{echo"Леди<br/>";}
echo"Уровень: <b>($udata[9])</b><br/>";
echo'<img src="pik4erspic/mini/aden.gif" alt="pic"/> <font color=gold>'.number_format($udata[8]).'</font></a><br/>';
echo'<img src="pik4erspic/mini/gold.gif" height=16 width=16> <font color=#FF8C00>'.number_format($udata[14]).'</font><br/>';
echo'<img src="pik4erspic/mini/gold1.png" alt="pic"/> <font color=#FF0000>'.number_format($udata[95]).'</font><br/>';
echo'<img src="pik4erspic/mini/pe4.png" alt="pic"/> '.number_format($udata[74]).'</a><br/>';
echo"Сейчас в: <b>$udata[20]</b><br/>";
if(@file("L2dbnam/esql2db/clan/$udata[23].dat")){

$text = @file("L2dbnam/esql2db/clan/$udata[23].dat");
$data = explode(":||:",$text[0]);

echo"Состоит в клане: <b>$data[1] ($data[3] lvl)</b> [<a href=\"search.php?$sd&go=go&nick=$udata[23]\">$udata[23]</a>]<br/>";}else{
echo"Не в клане<br/>";}
if(@file("L2dbnam/esql2db/ali/names/$udata[23].dat")){
$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$gali = explode("|",$text[0]);
$text = @file("L2dbnam/esql2db/ali/$gali[0].dat");
$nali = explode(":||:",$text[0]);
echo"Состоит в альянсе: <b>$nali[1]</b> [<a href=\"search.php?$sd&go=go&nick=$nali[0]\">$nali[0]</a>]<br/>";}else{echo"Не в альянсе<br/>";}
if(!empty($udata[33])){echo"Профессия: <font color=red><b>$udata[33]</b></font><br/>";}else{echo"Профессии нет.<br/>";}
echo"Расса: ";
if($udata[26]=="ork"){echo"Орк<br/>";}
if($udata[26]=="elf"){echo"Эльф<br/>";}
if($udata[26]=="darkelf"){echo"Темный эльф<br/>";}
if($udata[26]=="human"){echo"Человек<br/>";}
if($udata[26]=="gnom"){echo"Гном<br/>";}
if($udata[26]=="kamael"){echo"Камаэль<br/>";}
echo"Класс: ";
if($udata[27]=="wizard"){echo"Маг<br/>";}
if($udata[27]=="fighert"){echo"Войн<br/>";}
echo'Посты: '.number_format($udata[100]).'<br/>';
if(!@file("L2dbnam/esql2db/rating/pk/$nick.dat")){
echo"Выиграл PK боев: 0<br/>";}else{
$text = @file("L2dbnam/esql2db/rating/pk/$nick.dat");
$data = explode("||",$text[0]);
echo'Выиграл PK боев: '.number_format($data[0]).'<br/>';}
if(empty($udata[36])){$udata[36]="0";}
echo'Проиграл PK боев '.number_format($udata[51]).'<br/>';
echo'Карма: '.number_format($udata[36]).'<br/>';
if(!@file("L2dbnam/esql2db/rating/rek/$nick.dat")){
echo"Рекомендован: 0 раз<br/>";}else{
$text = @file("L2dbnam/esql2db/rating/rek/$nick.dat");
$data = explode("||",$text[0]);
echo'Рекомендован: '.number_format($data[0]).' раз<br/>';}
if(!@file("L2dbnam/esql2db/other/$nick.dat")){
echo"Статус: Оффлайн<br/>";}else{
$text = @file("L2dbnam/esql2db/other/$nick.dat");
$data = explode("||",$text[0]);
$time=time()-600;
if($data[0]>=$time){
echo"Статус: <b><font color=lime>Online</font></b><br/>";
echo"Дата регистрации: $udata[28]</br>";}else{
echo"Статус: <font color=red>Offline</font><br/>";
$date=date("H:i:s - d.m.y",$data[0]);
echo"Последнее посещение: $date<br/>";
echo"</br>Дата регистрации: $udata[28]</br>";
}
}

echo'- - -<br/><font color=yellow>CP: '.number_format($udata[42]).'/'.number_format($udata[43]).'</font><br/><font color=red>HP: '.number_format($udata[16]).'/'.number_format($udata[17]).'</font><br/><font color=blue>MP: '.number_format($udata[29]).'/'.number_format($udata[30]).'</font><br/>EXP: '.number_format($udata[19]).'<br/><font color=#F0E68C>SP: '.number_format($udata[31]).'</font><br/>';
echo'- - -<br/>Побед: '.number_format($udata[6]).'<br/>Поражений: '.number_format($udata[7]).' <br/>Всего сражений '.number_format($udata[78]).'<br/>Пройдено квестов '.number_format($udata[44]).'<br/>- - -<br/>';
$file = file("L2dbnam/esql2db/item/$nick.dat");
$file = array_reverse($file);
$total = count($file);
for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);
$data_2[]=$data[2];
$data_id[]=$i;}
echo"<b>Украшение:</b><br/>";
if($udata[54]!=="Пусто"){
echo"<img src=\"pik4erspic/ykr/$udata[54].gif\" alt=\"pic\"/>";
echo"Украшение: <u>$udata[54]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/ykr.gif\" alt=\"pic\"/> Украшение: Не одето<br/>";}
echo"<b>Боевая экипировка:</b><br/>";
if($udata[10]!=="Пусто"){
$u=explode('*',$udata[10]);
echo"<img src=\"pik4erspic/shlem/$u[0].gif\" alt=\"pic\"/>";
echo"Шлем: <u>$udata[10]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/helmets.gif\" alt=\"pic\"/> Шлем: Не одето<br/>";}
if($udata[11]!=="Пусто"){
$u=explode('*',$udata[11]);
echo"<img src=\"pik4erspic/robe/$u[0].gif\" alt=\"pic\"/>";
echo"Роба: <u>$udata[11]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/up.gif\" alt=\"pic\"/> Роба: Не одето<br/>";}
if($udata[53]!=="Пусто"){
$u=explode('*',$udata[53]);
echo"<img src=\"pik4erspic/4it/$u[0].gif\" alt=\"pic\"/>";
echo"Щит: <u>$udata[53]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/4it.gif\" alt=\"pic\"/> Щит: Не одето<br/>";}
if($udata[12]!=="Пусто"){
$u=explode('*',$udata[12]);
echo"<img src=\"pik4erspic/weapon/$u[0].gif\" alt=\"pic\"/>";
echo"Правая рука: <u>$udata[12]</a></u><br/>";}else{echo"<img src=\"pik4erspic/pusto/weapon.gif\" alt=\"pic\"/> Правая рука: Не одето<br/>";}
if($udata[52]!=="Пусто"){
$u=explode('*',$udata[52]);
echo"<img src=\"pik4erspic/gloves/$u[0].gif\" alt=\"pic\"/>";
echo"Перчатки: <u>$udata[52]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/gloves.gif\" alt=\"pic\"/> Перчатки: Не одето<br/>";}

if($udata[13]!=="Пусто"){
$u=explode('*',$udata[13]);
echo"<img src=\"pik4erspic/boots/$u[0].gif\" alt=\"pic\"/>";
echo"Сапоги: <u>$udata[13]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/boots.gif\" alt=\"pic\"/> Сапоги: Не одето<br/>";}
echo"<b>Бижутерия:</b><br/>";
if($udata[45]!=="Пусто"){
$u=explode('*',$udata[45]);
echo"<img src=\"pik4erspic/sheya/$u[0].gif\" alt=\"pic\"/>";
echo"Ожерелье: <u>$udata[45]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/sheya.gif\" alt=\"pic\"/> Ожерелье: Не одето<br/>";}
if($udata[46]!=="Пусто"){
$u=explode('*',$udata[46]);
echo"<img src=\"pik4erspic/serga/$u[0].gif\" alt=\"pic\"/>";
echo"Серьга: <u>$udata[46]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/serga.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[47]!=="Пусто"){
$u=explode('*',$udata[47]);
echo"<img src=\"pik4erspic/serga2/$u[0].gif\" alt=\"pic\"/>";
echo"Серьга: <u>$udata[47]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/serga2.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[48]!=="Пусто"){
$u=explode('*',$udata[48]);
echo"<img src=\"pik4erspic/kolco/$u[0].gif\" alt=\"pic\"/>";
echo"Кольцо: <u>$udata[48]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/kolco.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
if($udata[49]!=="Пусто"){
$u=explode('*',$udata[49]);
echo"<img src=\"pik4erspic/kolco2/$u[0].gif\" alt=\"pic\"/>";
echo"Кольцо: <u>$udata[49]</u><br/>";}else{echo"<img src=\"pik4erspic/pusto/kolco2.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
echo'- - -<br/><li>Выносливость: '.number_format($udata[5]).'<br/><li>Физическая Защита: '.number_format($udata[3]).'<br/><li>Магическая Защита: '.number_format($udata[99]).'<br/><li>Физическая Атака: '.number_format($udata[4]).'<br/>- - -<br/>';
echo'<li>CRIT (Критические удары): '.number_format($udata[60]).'<br/><li>DEX (Точность, Уворот): '.number_format($udata[61]).'<br/><li>BLOCK (Блок щитом): '.number_format($udata[65]).'<br/>- - -<br/>';
echo"<a href=\"index.php?$sd\">На главную</a><br/>";
include_once"inclydings/nogi.php";
?>
